triangle-exclamationObsolète

circle-exclamation
Deprecated

⚠️ Deploy Server

post

DEPRECATED. [Rate Limit: 40 req/s] Create a new deployment - containerized instance of an application version.

Autorisations
AuthorizationstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Corps
app_namestringRequis

Application to deploy.

Example: my-game-server
version_namestringOptionnel

Version to deploy. If omitted, last created version will be deployed.

Example: 2024.01.30-16.23.00-UTC
ip_liststring[]Optionnel

Mutually exclusive with geo_ip_list. List of user IPs, determining server location choice.

Example: 162.254.141.66
tagsstring[]Optionnel

List of tags to mark your deployments for easy filtering.

Example: production
webhook_urlstringOptionnel

URL to receive simple HTTP notifications in your game backend when the new deployment becomes Ready.

Example: https://www.webhook.com/
commandstring · nullableOptionnel

Overrides container command for the deployment, use with caution.

Example: null | 'string'
argumentsstring · nullableOptionnel

Overrides container arguments for the deployment, use with caution.

Example: null | 'string'
Réponses
chevron-right
200

Success

application/json
request_idstringRequis

ID of your deployment, also referred to as request ID.

Example: 61b1be8f54d9
request_dnsstringRequis

FQDN (URL) to connect to the deployment.

Example: 61b1be8f54d9.pr.edgegap.net
request_appstringRequis

Application which has been deployed.

Example: my-game-server
request_versionstringRequis

App version which has been deployed.

Example: 2024.01.30-16.23.00-UTC
request_user_countinteger · min: 1Requis

Number of users included in the deployment request.

Example: 4
tagsstring[]Optionnel

List of tags to mark your deployments for easy filtering.

Example: production
container_log_storageanyOptionnel

Object storage to upload deployment logs.

post
/v1/deploy
Deprecated

⚠️ Updates properties of a deployment

patch

DEPRECATED. Updates properties of a deployment. Currently only the is_joinable_by_session property can be updated.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
request_idstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Corps
is_joinable_by_sessionbooleanOptionnel

Whether a session can connect to this deployment or not.

Réponses
chevron-right
200

Success

application/json
is_joinable_by_sessionbooleanRequis

If the deployment is joinable by sessions

patch
/v1/deployments/{request_id}

Mis à jour

Ce contenu vous a-t-il été utile ?